Package org.eclipse.jdt.apt.core.env

# Class EnvironmentFactory

java.lang.Object
org.eclipse.jdt.apt.core.env.EnvironmentFactory

public class EnvironmentFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`EnvironmentFactory()`

## Method Summary

Modifier and Type
Method
Description
`static AnnotationProcessorEnvironment`
`getEnvironment(ICompilationUnit compilationUnit, IJavaProject javaProject)`
Return a processor environment for use outside of building or reconciling.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnvironmentFactory

public EnvironmentFactory()

## Method Details

### getEnvironment

public static AnnotationProcessorEnvironment getEnvironment(ICompilationUnit compilationUnit, IJavaProject javaProject)
Return a processor environment for use outside of building or reconciling. Note that this environment does NOT support the Filer or Messager API, as it is to be used to perform type system navigation, not building.

If either getFiler() or getMessager() are called, this environment will throw an UnsupportedOperationException.

Parameters:
  `compilationUnit` - the working copy for which the Environment object is to be created
  `javaProject` - the java project that the working copy is in.
Returns:
  the created environment.